Skip to main content

Edit the subscription details

Edit the details of an existing subscription.

PUT/api/hiecm/subscription-requests/v3/patients/{subscriptionID}

By invoking this API, users can update the parameters and preferences associated with a specific subscription identified by the subscription ID.

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Path parameters

subscriptionIDstringRequired

The subscription id

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

X-AUTH-TOKENstringRequired

JWT Authentication token which was issued by ABDM after successful validation of username and password

Body

hiuIdstringRequired

The service ID of the health information provider Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

subscriptionEditAndApprovalRequestobjectRequired
subscriptionEditAndApprovalRequest.isApplicableForAllHIPsbooleanRequired

A boolean value to denote if the policy is applicable to all the HIPs or only the specified HIP

subscriptionEditAndApprovalRequest.includedSourcesobject[]Required

Included sources, carrying the list of hi types.

subscriptionEditAndApprovalRequest.includedSources.hiTypesstring[]Required

Types of health information document.

subscriptionEditAndApprovalRequest.includedSources.purposeobjectRequired
subscriptionEditAndApprovalRequest.includedSources.purpose.textstringRequired

One of Care ManagementBreak the GlassPublic HealthHealthcare PaymentDisease Specific Healthcare ResearchSelf Requested

subscriptionEditAndApprovalRequest.includedSources.purpose.codestringRequired

One of CAREMGTBTGPUBHLTHHPAYMTDSRCHPATRQT

subscriptionEditAndApprovalRequest.includedSources.purpose.refUristringRequired

The reference URL.Allows alpha numeric character and special characters like "^[-a-zA-Z0-9@:%._\\+~#=]{1,256}\\.[a-zA-Z0-9()]{1,6}\\b(?:[-a-zA-Z0-9()@:%_\\+.~#?&//=]*)$"

subscriptionEditAndApprovalRequest.includedSources.hipobjectRequired

Identifier and name of the health information provider.

subscriptionEditAndApprovalRequest.includedSources.hip.idstringRequired

The service ID of the health information provider. Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$

subscriptionEditAndApprovalRequest.includedSources.hip.namestringRequired

The name of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

subscriptionEditAndApprovalRequest.includedSources.hip.typestring

The type of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

subscriptionEditAndApprovalRequest.includedSources.categoriesstring[]Required
subscriptionEditAndApprovalRequest.includedSources.periodobjectRequired

The date range between when the subscription will be active

subscriptionEditAndApprovalRequest.includedSources.period.fromstringRequired

UTC date time in ISO format. Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$"

subscriptionEditAndApprovalRequest.includedSources.period.tostringRequired

UTC date time in ISO format. Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$"

subscriptionEditAndApprovalRequest.includedSources.statusstringRequired

The status of the subscription approval

subscriptionEditAndApprovalRequest.excludedSourcesobject[]Required

Excluded sources, carrying the list of hi types.

subscriptionEditAndApprovalRequest.excludedSources.hiTypesstring[]Required

Types of health information document.

subscriptionEditAndApprovalRequest.excludedSources.purposeobjectRequired
subscriptionEditAndApprovalRequest.excludedSources.purpose.textstringRequired

One of Care ManagementBreak the GlassPublic HealthHealthcare PaymentDisease Specific Healthcare ResearchSelf Requested

subscriptionEditAndApprovalRequest.excludedSources.purpose.codestringRequired

One of CAREMGTBTGPUBHLTHHPAYMTDSRCHPATRQT

subscriptionEditAndApprovalRequest.excludedSources.purpose.refUristringRequired

The reference URL. Allows alpha numeric character and special characters like "^[-a-zA-Z0-9@:%._\\+~#=]{1,256}\\.[a-zA-Z0-9()]{1,6}\\b(?:[-a-zA-Z0-9()@:%_\\+.~#?&//=]*)$"

subscriptionEditAndApprovalRequest.excludedSources.hipobjectRequired

Identifier and name of the health information provider.

subscriptionEditAndApprovalRequest.excludedSources.hip.idstringRequired

The service ID of the health information provider. Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$

subscriptionEditAndApprovalRequest.excludedSources.hip.namestringRequired

The name of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

subscriptionEditAndApprovalRequest.excludedSources.hip.typestring

The type of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

subscriptionEditAndApprovalRequest.excludedSources.categoriesstring[]Required
subscriptionEditAndApprovalRequest.excludedSources.periodobjectRequired

The date range between when the subscription will be active

subscriptionEditAndApprovalRequest.excludedSources.period.fromstringRequired

UTC date time in ISO format.Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$"

subscriptionEditAndApprovalRequest.excludedSources.period.tostringRequired

UTC date time in ISO format.Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$"

subscriptionEditAndApprovalRequest.excludedSources.statusstringRequired

The status of the subscription approval

Responses

202

Accepted

The callback never arrives

subscriptionIdstring
messagestring
400

Bad Request

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-1066 - Invalid JWT token. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
401

Unauthorized

Everything returns 401

codestring

900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
404

server cannot find the requested resource

Error codes for this module

500

Internal Server Error

Error codes for this module

timestampnumberRequired
pathstringRequired
statusintegerRequired
errorstringRequired

The error code and message, if any occurred.

requestIdstringRequired
503

Service Unavailable

Error codes for this module

codestringRequired

ABDM-1024 - Dependent service unavailable. May be returned either bare (ABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.

messagestringRequired